# Przykłady z pierwszych dwóch dni kursu Andorid

Możecie sklonować repozytorium dowolnym narzędziem do Git lub pobrać wersję bieżącą używając przycisku chmurki.

W poszczególnych projektach są pliki README ich dotyczące.

## Notatki ogólne

Właścicielem Androida jest [Google](https://en.wikipedia.org/wiki/Google).

Edytor Android Studio, stworzony na bazie IntelliJ IDEA, jest produktem firmy [JetBrains](https://en.wikipedia.org/wiki/JetBrains).
Język Kotlin też opracowała firma JetBrains.

### Możliwości tworzenia aplikacji na Android:
- Niski poziom, blisko sprzętu i jądra systemu - język C, asembler - ponieważ Android używa jądra Linuxa jako podstawy działania
- Aplikacje natywne w sensie programistycznym - język C++.  
  Te aplikacje cechują się wysoką wydajnością, zastosowania to np. multimedia, gry.
- Aplikacje natywne z potocznym znaczeniu tego słowa / tworzone sposobem dedykowanym dla danej platformy - na Androida są to aplikacje pisane z językach Kotlin lub Java i pakowane do formatu `.apk`
- Tworzenie aplikacji multiplatformowych w narzędziach takich jak Flutter, Xamarin, React Native

### Kilka pojęć
- Android - system operacyjny jako całość
- Android SDK - zestaw narzędzi potrzebnych do tworzenia aplikacji mobilnych (u nas jest to instalowane i używane „pod spodem” w ramach AndroidStudio)
- API - klasy, funkcje itd., które są dostępne dla programisty w danej wersji. Od „wersji API” zależy, jakie funkcjonalności są dostępne i jak się z nich korzysta.
